%ERRORNORM
%  Maximum norm of error in outflow profile if exact solution is available
% Function called: exact_solution

if geval == 1		% Horizontal Poiseuille flow
  uq = reshape(u1,size(XU')); uq = uq';
  disp(['outflow_errormaxnorm = ',...
    num2str(norm(uq(:,J+1) - exact_solution(0, 0, yu', 'right'),inf))])
  projexsol = (exact_solution(0, 0, yu'- dy'/2, 'right') +...
  	       4*exact_solution(0, 0, yu', 'right') +...
	       exact_solution(0, 0, yu'+ dy'/2, 'right'))/6;
  disp(['projected_outflow_errormaxnorm = ',...
    num2str(norm(uq(:,J+1) - projexsol,inf))])
elseif geval == 2	% Vertical Poiseuille flow
  vq = reshape(v1,size(XV')); vq = vq';
  disp(['outflow_errormaxnorm = ',...
    num2str(norm(vq(K+1,:) - exact_solution(0, xv, 0, 'upper'),inf))])
  projexsol = (exact_solution(0, xv - dx/2, 0, 'upper') +...
  	       4*exact_solution(0, xv, 0, 'upper') +...
	       exact_solution(0, xv + dx/2, 0, 'upper'))/6; 
  disp(['projected_outflow_errormaxnorm = ',...
    num2str(norm(vq(K+1,:) - projexsol,inf))])
else
end
